MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
sc::PsiCCSD_T Class Reference

PsiCCSD_T is a concrete implementation of Psi CCSD(T) wave function. More...

`#include <psiwfn.h>`

Inheritance diagram for sc::PsiCCSD_T:

List of all members.

## Public Member Functions

| PsiCCSD_T (const Ref< KeyVal > &)
| PsiCCSD_T (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | spin_polarized ()
| Return 1 if the alpha density is not equal to the beta density.
int | gradient_implemented () const

## Protected Member Functions

void | write_input (int conv)
| Prepares a complete Psi input file. The input file is assumed to have been opened.

## Detailed Description

PsiCCSD_T is a concrete implementation of Psi CCSD(T) wave function.

## Member Function Documentation

void sc::PsiCCSD_T::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::PsiWavefunction.

The documentation for this class was generated from the following file:

- psiwfn.h